local LS = AceLibrary("AceLocale-2.2"):new("Historian-Shared");

LS:RegisterTranslations("deDE", function() return {
	-- Slash commands
	["CMD_SHOWTOOLTIP_TITLE"] = "Tooltip f\195\188r Feinde anzeigen",
	["CMD_SHOWTOOLTIP_DESC"] = "Verschiedene Informationen anzeigen wenn der Mauszeiger sich \195\188ber bekannten Gegnern befindet.",
		
	-- Statistics
	["STAT_CATEGORY_FORTUNE"] = "Verm\195\182gen",
	["STAT_MAX_MONEY"] = "Maximales Verm\195\182gen",
	
	["STAT_CATEGORY_ITEMS_LOOTED"] = "Gegenst\195\164nde erhalten",
	["STAT_LOOTED_COMMON"] = "Common", -- TO BE TRANSLATED?
	["STAT_LOOTED_UNCOMMON"] = "Uncommon", -- TO BE TRANSLATED?
	["STAT_LOOTED_RARE"] = "Selten",
	["STAT_LOOTED_EPIC"] = "Episch",
	["STAT_LOOTED_LEGENDARY"] = "Legend\195\164r",
	["STAT_LOOTED_ARTIFACT"] = "Artefakt",

	["STAT_CATEGORY_ACHIEVEMENTS"] = "Errungenschaften",
	["STAT_QUESTS_COMPLETED"] = "Quests abgeschlossen",
	["STAT_RECIPES_LEARNED"] = "Rezepte erlernt",
	["STAT_AREAS_DISCOVERED"] = "Gebiete entdeckt",
	["STAT_TOTAL_KILLS"] = "Gegner get\195\182tet",

	["STAT_CATEGORY_DISAPPOINTMENTS"] = "Tiefpunkte",
	["STAT_ENV_DROWNING"] = "Ertrunken",
	["STAT_ENV_FATIGUE"] = "An Ersch\195\182pfung gestorben",
	["STAT_ENV_FALL"] = "Runtergefallen",
	["STAT_ENV_FIRE"] = "Verbrannt",
	["STAT_ENV_LAVA"] = "Lava gekostet",
	["STAT_ENV_SLIME"] = "In Schleim gebadet",
	["STAT_ENV_VALUE"] = "%s mal (%s Schadenspunkte)",
	["STAT_ENV_VALUE_SINGLE"] = "1 mal (%s Schadenspunkte)",
	["STAT_DEATHS"] = "Einfach gestorben",
	["STAT_DEATHS_VALUE"] = "%s mal",
	["STAT_DEATHS_VALUE_SINGLE"] = "1 mal",
	
	["STAT_CATEGORY_HABITS"] = "Gewohnheiten",
	["STAT_MOST_FOLLOWED"] = "Am meisten gefolgt",
	["STAT_MOST_FOLLOWED_VALUE"] = "%s (%s mal)",
	["STAT_MOST_FOLLOWED_VALUE_SINGLE"] = "%s (1 mal)",
	["STAT_FAVORITE_PREY"] = "Lieblingsopfer:",
	["STAT_FAVORITE_PREY_VALUE"] = "%s (%s mal getoetet)",
	["STAT_FOOD"] = "Essen", -- TO BE TRANSLATED
	["STAT_DRINK"] = "Trinken", -- TO BE TRANSLATED
	["STAT_FOOD_VALUE"] = "%s mal",
	["STAT_DRINK_VALUE"] = "%s mal",
	["STAT_JUMPS"] = "Spr\195\188nge",
	
} end)



local L = AceLibrary("AceLocale-2.2"):new("Historian");

L:RegisterTranslations("deDE", function() return {
	-- Slash commands
	["SLASH-COMMANDS"] = { "/historian", "/stats" },

	["CMD_REPORT_TITLE"] = "Report",
	["CMD_REPORT_DESC"] = "Informationen \195\188ber den Charakter im Chat ausgeben.",
	
	-- Status messages
	["MSG_IMPORT_OLD_DATA"] = "Importiere alte Daten...",
	["MSG_IMPORT_COMPLETE"] = "Importieren beendet.",

	-- Chat report
	["MSG_REPORT_HEADER"] = "----------- Historian Report -----------",
	["MSG_REPORT_SEPARATOR"] = "--",
	["MSG_REPORT_NOTE"] = "HINWEIS: Um den gesamten Report zu sehen musst Du unter Umstaenden nach oben scrollen. Installiere FuBar fuer ein angenehmeres Interface :)",
	

	-- Misc
	["BUFF_FOOD"] = "Food",  -- TO BE TRANSLATED -- NOTE: This MUST match the name of the aura you get when you eat something
	["BUFF_DRINK"] = "Drink",  -- TO BE TRANSLATED -- NOTE: This MUST match the name of the aura you get when you drink something
	
	-- Tooltip
	["MSG_TOOLTIP_KILLED"] = "%1 mal getoetet",
	["MSG_TOOLTIP_KILLED_SINGLE"] = "1 mal getoetet",
} end)



local LFu = AceLibrary("AceLocale-2.2"):new("HistorianFu");

LFu:RegisterTranslations("deDE", function() return {
	-- Chat inserts -- WHOLE SECTION TO BE TRANSLATED
	["CHAT_INSERT_MAX_MONEY"] = "The most money I have ever had is %s.",
	["CHAT_INSERT_LOOTED_COMMON"] = "I have looted %s common item(s) to date.",
	["CHAT_INSERT_LOOTED_UNCOMMON"] = "I have looted %s uncommon item(s) to date.",
	["CHAT_INSERT_LOOTED_RARE"] = "I have looted %s rare item(s) to date.",
	["CHAT_INSERT_LOOTED_EPIC"] = "I have looted %s epic item(s) to date.",
	["CHAT_INSERT_LOOTED_LEGENDARY"] = "I have looted %s legendary item(s) to date.",
	["CHAT_INSERT_LOOTED_ARTIFACT"] = "I have looted %s artifact item(s) to date.",
	["CHAT_INSERT_QUESTS_COMPLETED"] = "I have completed %s quest(s) so far.",
	["CHAT_INSERT_RECIPES_LEARNED"] = "I have learned %s recipe(s) so far.",
	["CHAT_INSERT_AREAS_DISCOVERED"] = "I have discovered %s area(s) so far.",
	["CHAT_INSERT_TOTAL_KILLS"] = "I have killed %s mob(s) so far.",
	
	["CHAT_INSERT_ENV_DROWNING"] = "I have drowned %s times for a total of %s damage.",
	["CHAT_INSERT_ENV_FATIGUE"] = "I have been fatigued %s times for a total of %s damage.",
	["CHAT_INSERT_ENV_FALL"] = "I have fallen %s times for a total of %s damage.",
	["CHAT_INSERT_ENV_FIRE"] = "I have taken fire damage %s times for a total of %s damage.",
	["CHAT_INSERT_ENV_LAVA"] = "I have taken lava damage %s times for a total of %s damage.",
	["CHAT_INSERT_ENV_SLIME"] = "I have stepped in slime %s times for a total of %s damage.",
	["CHAT_INSERT_DEATHS"] = "I have died %s times so far.",
	
	["CHAT_INSERT_MOST_FOLLOWED"] = "I have followed %s around %s times.",
	["CHAT_INSERT_FAVORITE_PREY"] = "My favorite prey is %s (%s kills)",
	["CHAT_INSERT_FOOD"] = "I have eaten food %s times.",
	["CHAT_INSERT_DRINK"] = "I have had a drink %s times.",
	["CHAT_INSERT_JUMPS"] = "I have jumped %s times.",
	
	["HINT"] = "Click a line to insert it into the chat.",
	
} end)